Module | Merb::Rack::DeferrableMiddleware
In: | lib/merb-core/rack/middleware.rb

Module providing delegation of the deferred? call

Merb handles support for the deferred actions supported by some evented web servers such as Thin and Ebb. To support this functionality a rack application must respond to deferred? method.

Making your middleware inherit from Merb::Rack::Middleware or by including this module you‘ll provide neccessary functionality to make this work.

In case you need to merbify some middleware you can just include this module. See merb-core/rack/middleware/head.rb or merb-core/rack/middleware/content_lenght.rb.

@see Merb::Rack::Head @see Merb::Rack::ContentLength @see Merb::Rack::Middleware

### Methods

deferred?

### Public Instance methods

deferred?(env)

@overridable @api plugin

[Validate]